// UserVideoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "CppClient.h"
#include "UserVideoDlg.h"


// CUserVideoDlg dialog

IMPLEMENT_DYNAMIC(CUserVideoDlg, CDialog)

CUserVideoDlg::CUserVideoDlg(TTInstance* ttInst, int userid, CWnd* pParent /*=NULL*/)
	: CDialog(CUserVideoDlg::IDD, pParent)
    , m_nUserID(userid)
    , m_ttInst(ttInst)
{

}

CUserVideoDlg::~CUserVideoDlg()
{
}

void CUserVideoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CUserVideoDlg, CDialog)
    ON_WM_ERASEBKGND()
END_MESSAGE_MAP()


// CUserVideoDlg message handlers

BOOL CUserVideoDlg::OnEraseBkgnd(CDC* pDC)
{
    CRect rect;
    GetClientRect(rect);
    while(TT_PaintVideoFrame(m_ttInst, m_nUserID, pDC->m_hDC, 
        rect.left, rect.top, rect.Width(), rect.Height()));
    //return CDialog::OnEraseBkgnd(pDC);
    return FALSE;
}

void CUserVideoDlg::OnOK()
{
}

void CUserVideoDlg::OnCancel()
{
    CDialog::OnCancel();
    GetParent()->SendMessage(WM_USERVIDEODLG_CLOSED, m_nUserID);
}
